Unresolved OAuth2 Issue with DXP 7.1 SP1 or SP2

Issue

After deploying a hotfixed marketplace app like OAuth2 to a bundled Digital Experience Platform (DXP) 7.1 SP1 or DXP 7.1 SP2 instance, the issue reported to Liferay Support is not resolved.

Resolution

In order for the resolution to properly apply, the original versions of OAuth or Marketplace need to be deleted or a new bundle needs to be used.  If DXP 7.1 was manually deployed to an application server then that instance is not impacted by this issue.

Deleting the Original Versions

  1. With the server stopped, navigate to liferay-home/osgi/marketplace
  2. For OAuth2 plugin delete the two files listed below
  • Liferay Plugin for OAuth 2.0 - API.lpkg
  • Liferay Plugin for OAuth 2.0 - Impl.lpkg
  • For the Liferay Marketplace plugin delete the two files below
    • Liferay Marketplace - API.lpkg
    • Liferay Marketplace - Impl.lpkg
  • Place the hotfixed app in the liferay-home/deploy folder and start the server
  • Using a New Bundle

    1. Download the dxp-7.2-ga1 bundle from Help Center here.
    2. After expanding the archive, use patching-tool to patch this instance of DXP 7.1 with the appropriate fix pack in order to receive the same fix level as 7.1 SP1 or 7.1 SP2
      1. For SP1 install fix pack dxp-5-7110
      2. For SP2 install fix pack dxp-10-7110
    3. Place the hotfixed app in the liferay-home/deploy folder and start the server

    Additional Information

    This issue was caused by an error in the service pack build process which has been resolved.  Liferay DXP 7.1 SP3 is not impacted by this issue. Service Packs for other versions are not impacted by this issue.

    Este artigo foi útil?
    Utilizadores que acharam útil: 0 de 0